View Javadoc

    1   /* Generated By:JJTree: Do not edit this line. ASTDeclaration.java */
    2
    3   package net.sourceforge.pmd.jsp.ast;
    4
    5   public class ASTDeclaration extends SimpleNode {
    6
    7   /* BEGIN CUSTOM CODE */
    8       private String name;
    9
    10      /***
    11       * @return Returns the name.
    12       */
    13      public String getName() {
    14          return name;
    15      }
    16
    17      /***
    18       * @param name The name to set.
    19       */
    20      public void setName(String name) {
    21          this.name = name;
    22      }
    23
    24      /* (non-Javadoc)
    25       * @see com.applicationengineers.pmd4jsp.ast.SimpleNode#toString(java.lang.String)
    26       */
    27      public String toString(String prefix) {
    28          return super.toString(prefix) + " name=[" + name + "] ";
    29      }
    30  /* END CUSTOM CODE */
    31
    32
    33      public ASTDeclaration(int id) {
    34          super(id);
    35      }
    36
    37      public ASTDeclaration(JspParser p, int id) {
    38          super(p, id);
    39      }
    40
    41
    42      /***
    43       * Accept the visitor. *
    44       */
    45      public Object jjtAccept(JspParserVisitor visitor, Object data) {
    46          return visitor.visit(this, data);
    47      }
    48  }